The Putaway Rule object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: 0
Default: 1
Default: false
Default: 1
{
"id": "putaway-rule_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"item_code": "item_code_example",
"item_name": "item_name_example",
"warehouse": "warehouse_example",
"capacity": 0,
"stock_uom": "stock_uom_example",
"priority": 1,
"company": "Example Corp",
"disable": false,
"uom": "uom_example",
"stock_capacity": 0,
"conversion_factor": 1
} /api/stock/putaway-rule/{id} Retrieve a putaway rule
Retrieves the details of an existing putaway rule. Supply the unique putaway rule ID that was returned from a previous request.
Path parameters
The identifier of the putaway rule to retrieve.
Returns
Returns the putaway rule object if a valid identifier was provided.
curl https://api.overplane.dev/api/stock/putaway-rule/putaway-rule_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "putaway-rule_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"item_code": "item_code_example",
"item_name": "item_name_example",
"warehouse": "warehouse_example",
"capacity": 0,
"stock_uom": "stock_uom_example",
"priority": 1,
"company": "Example Corp",
"disable": false,
"uom": "uom_example",
"stock_capacity": 0,
"conversion_factor": 1
} /api/stock/putaway-rule List all putaway rules
Returns a list of putaway rules. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of putaway rule objects.
curl https://api.overplane.dev/api/stock/putaway-rule \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "putaway-rule_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"item_code": "item_code_example",
"item_name": "item_name_example",
"warehouse": "warehouse_example",
"capacity": 0,
"stock_uom": "stock_uom_example",
"priority": 1,
"company": "Example Corp",
"disable": false,
"uom": "uom_example",
"stock_capacity": 0,
"conversion_factor": 1
}
],
"has_more": false,
"total": 1
} /api/stock/putaway-rule Create a putaway rule
Creates a new putaway rule object.
Body parameters
Default: 0
Default: 1
Default: false
Default: 1
Returns
Returns the newly created putaway rule object if the call succeeded.
curl https://api.overplane.dev/api/stock/putaway-rule \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"item_code":"item_code_example","warehouse":"warehouse_example","company":"Example Corp"}' {
"id": "putaway-rule_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"item_code": "item_code_example",
"item_name": "item_name_example",
"warehouse": "warehouse_example",
"capacity": 0,
"stock_uom": "stock_uom_example",
"priority": 1,
"company": "Example Corp",
"disable": false,
"uom": "uom_example",
"stock_capacity": 0,
"conversion_factor": 1
} /api/stock/putaway-rule/{id} Update a putaway rule
Updates the specified putaway rule by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the putaway rule to update.
Body parameters
Default: 0
Default: 1
Default: false
Default: 1
Returns
Returns the updated putaway rule object.
curl https://api.overplane.dev/api/stock/putaway-rule/putaway-rule_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"item_code":"item_code_example","item_name":"item_name_example"}' {
"id": "putaway-rule_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"item_code": "item_code_example",
"item_name": "item_name_example",
"warehouse": "warehouse_example",
"capacity": 0,
"stock_uom": "stock_uom_example",
"priority": 1,
"company": "Example Corp",
"disable": false,
"uom": "uom_example",
"stock_capacity": 0,
"conversion_factor": 1
} /api/stock/putaway-rule/{id} Delete a putaway rule
Permanently deletes a putaway rule. This cannot be undone.
Path parameters
The identifier of the putaway rule to delete.
Returns
Returns a confirmation that the putaway rule has been deleted.
curl https://api.overplane.dev/api/stock/putaway-rule/putaway-rule_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "putaway-rule_abc123",
"deleted": true
}